#Importeren benodigde packages
from pylab import *
import csv
import numpy

#Define formula to confirm whether a value is a floating element or a string
def isfloat(value):
    try:
        float(value)
        return True
    except ValueError:
        return False

#Load data
reader=csv.reader(open("Combined_origineel.csv","rb"),delimiter=';')
r=list(reader)
x=numpy.matrix(r)

#Count the amount of relevant rows (skip al errors) and store in a new matrix
A=0
for i in range(len(x)):
    if (isfloat(x[i,2])==True) and (isfloat(x[i,3])==True) and (isfloat(x[i,4])==True) and (isfloat(x[i,5])==True) and (isfloat(x[i,6])==True):
            A = A + 1
Data = zeros([A,size(x)/len(x)-1])
Z = 0
for i in range(len(x)):
    if (isfloat(x[i,2])==True) and (isfloat(x[i,3])==True) and (isfloat(x[i,4])==True) and (isfloat(x[i,5])==True) and (isfloat(x[i,6])==True):
        for j in range(size(x)/len(x)-2):
            Data[Z,j]=x[i,j+2] 
            Data[Z,5] = i    #Gives a number to trace back the date and time
        Z = Z + 1 

#Convert the data in the right dimensions [m] and [m/s]
Data[:,0]=0.01*Data[:,0]
Data[:,1]=0.01*Data[:,1]
Data[:,2]=0.01*Data[:,2]
Data[:,4]=0.1*Data[:,4]

#Convert the Data to mean data
GemData = zeros([len(Data)/6,size(Data)/len(Data)])
for i in range(len(Data)/6):
    for j in range(size(Data)/len(Data)):
            GemData[i,j] = (Data[4*i,j]+Data[4*i+1,j]+Data[4*i+2,j]+Data[4*i+3,j]+Data[4*i+4,j]+Data[4*i+5,j])/6
print len(GemData)
A=0;B=0;C=0;D=0;E=0
for i in range(len(GemData)):
    if ((GemData[i,3] > 260) and (GemData[i,3] < 300.0) and (GemData[i,4]>15)):
        A = A + 1
DataA = zeros([A,size(GemData)/len(GemData)])
print A
 
J=0
for i in range(len(GemData)):
    if ((GemData[i,3] > 260) and (GemData[i,3] < 300.0) and (GemData[i,4]>15)):
        for k in range(size(GemData)/len(GemData)):
            DataA[J,k]=GemData[i,k]
        J=J+1

plot(DataA[:,4],DataA[:,0],'ro', label='Waterlevel BRBI')
plot(DataA[:,4],DataA[:,1],'bo', label='Waterlevel BOM1')
legend(loc=1)
xlabel('Windspeed [m/s]')
ylabel('Water level with respect to NAP [m]')
title('Water level BRBI and BOM1 during wind set-up HEVW')
show()

print numpy.corrcoef(DataA[:,4],DataA[:,1])[0, 1]
print numpy.corrcoef(DataA[:,4],DataA[:,0])[0, 1]